/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.base.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.base.entity.UserLog;
import com.tofly.base.entity.UserOnline;
import com.tofly.base.service.UserLogService;
import com.tofly.base.service.UserOnlineService;
import com.tofly.common.core.entity.ResultRespone;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@RestController
@RequestMapping("/userOnline")
@Api(tags = "用户在线记录")
@Slf4j
public class UserOnlineController {

    @Autowired
    private UserOnlineService userOnlineService;

    /**
     * 分页查询
     *
     * @param page 分页对象
     * @param userOnline  日志信息表
     * @return
     */
    @GetMapping("/page")
    @ApiOperation(value = "分页查询")
    public ResultRespone getLogPage(Page page, @ModelAttribute UserOnline userOnline) {

        return ResultRespone.success(userOnlineService.page(page, Wrappers.query(userOnline)));
    }

    /**
     * 用户当前在线统计
     *
     * @return ResultRespone
     */
    //@ToFlyAppLog(title="新增日志信息表"
    @ApiOperation(value = "用户当前在线统计")
    @GetMapping("/userOnlineCount")
    public ResultRespone getUserOnlineCount() {
        return ResultRespone.success(userOnlineService.getUserOnlineCount());
    }
    @ApiOperation(value = "用户在线状态检测")
    @GetMapping("/checkUserOnlineStatus")
    public ResultRespone checkUserOnlineStatus() {
        userOnlineService.checkUserOnlineStatus();
        return ResultRespone.success(true);
    }


}
