package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/11/4 10:19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_USER_LOG",resultMap = "userLogMap")
@KeySequence("TF_SMPN_USER_LOG")
@ApiModel
public class UserLog extends Model<UserLog> {
    private static final long serialVersionUID = 1L;
    /**
     * 日志ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "日志ID")
    private Long id;


    /**
     * 日志类型
     */
    @ApiModelProperty(value = "日志类型,0,PC端，1APP端")
    private String type;


    /**
     * 是否登录，0 否，1是
     */
    @ApiModelProperty(value = "是否登录，0 否，1是")
    private String loginType;


    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "CREATE_TIME",fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 在线时长
     */
    @ApiModelProperty(value = "在线时长（秒）")
    private  Long totalSecond;
}
