package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: 翘屁老猫
 * @Date: 2020/11/4 10:19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_SMPN_USER_ONLINE",resultMap = "userOnlineMap")
@KeySequence("TF_SMPN_USER_ONLINE")
@ApiModel
public class UserOnline extends Model<UserOnline> {
    private static final long serialVersionUID = 1L;
    /**
     * 日志ID
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "id")
    private Long id;


    /**
     * 日志类型
     */
    @ApiModelProperty(value = "日志类型,0,PC端，1APP端")
    private String type;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户状态，1在线，0离线")
    private String userState;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @TableField(value = "UPDATE_TIME",fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
