/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.dto.UserOnlineReportDto;
import com.tofly.base.entity.UserLog;
import com.tofly.base.entity.UserOnline;
import com.tofly.base.mapper.UserLogMapper;
import com.tofly.base.service.UserLogService;
import com.tofly.base.service.UserOnlineService;
import com.tofly.base.vo.UserOnlineReportVo;
import com.tofly.common.core.util.StringUtil;
import com.tofly.common.oauth.util.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.thymeleaf.util.StringUtils;

import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@Service("userLogService")
public class UserLogServiceImpl extends ServiceImpl<UserLogMapper, UserLog> implements UserLogService {
    @Autowired
    private UserOnlineService userOnlineService;
    @Override
    @Transactional
    public Boolean saveData(UserLog userLog) {
        Calendar calendar = Calendar.getInstance();
        Date date = new Date();
        calendar.setTime(date);
        //延迟5分钟
        calendar.add(Calendar.MINUTE, -6);
        Date startTime = calendar.getTime();
        if(StringUtils.isEmpty(userLog.getLoginType())){
            userLog.setLoginType("0");
        }
        UserOnline userOnline=userOnlineService.list(Wrappers.<UserOnline>lambdaQuery()
                .eq(UserOnline::getUserId,userLog.getUserId())
                .eq(UserOnline::getType,userLog.getType())).stream().findFirst().orElse(null);
        if(userOnline!=null){
            userOnline.setUserState("1");
        }else{
            userOnline=new UserOnline();
            userOnline.setType(userLog.getType());
            userOnline.setUserId(userLog.getUserId());
            userOnline.setUserState("1");
        }
        userOnlineService.saveOrUpdate(userOnline);
        //验证上次的记录
        UserLog userLogLast= this.list(Wrappers.<UserLog>lambdaQuery()
                  .eq(UserLog::getUserId,userLog.getUserId())
                  .eq(UserLog::getType,userLog.getType())
                        .between(UserLog::getCreateTime,startTime,date)
                  .isNull(UserLog::getEndTime).orderByDesc(UserLog::getCreateTime)).stream().findFirst().orElse(null);
        if(userLogLast!=null){
            //计算相差的秒数，填充结束时间
            userLogLast.setEndTime(new Date());
            long onLineSecond=(userLogLast.getEndTime().getTime()-userLogLast.getCreateTime().getTime())/1000;
           userLogLast.setTotalSecond(onLineSecond);
           this.updateById(userLogLast);
        }
        return this.save(userLog);

    }

    @Override
    public List<UserOnlineReportVo> userOnlineReport(UserOnlineReportDto dto) {
        return this.baseMapper.getUserOnlineReport(dto);
    }
}


