/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.UserLog;
import com.tofly.base.entity.UserOnline;
import com.tofly.base.mapper.UserOnlineMapper;
import com.tofly.base.service.UserLogService;
import com.tofly.base.service.UserOnlineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Calendar;
import java.util.Comparator;
import java.util.Date;
import java.util.List;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
@Service("userOnlineService")
public class UserOnlineServiceImpl extends ServiceImpl<UserOnlineMapper, UserOnline> implements UserOnlineService {
    @Autowired
    private UserLogService userLogService;
    @Override
    public void checkUserOnlineStatus() {
        Calendar calendar = Calendar.getInstance();
        Date date = new Date();
        calendar.setTime(date);
        //延迟5分钟
        calendar.add(Calendar.MINUTE, -6);
        Date startTime = calendar.getTime();
        //只需要找当前在线的用户，验证是否离线即可
        List<UserOnline> list=this.list(Wrappers.<UserOnline>lambdaQuery().eq(UserOnline::getUserState,"1"));
        if(list!=null){
          List<UserLog> listOnline=userLogService.list(Wrappers.<UserLog>lambdaQuery()
                  .between(UserLog::getCreateTime,startTime,date));
          list.forEach(item->{
            Long count=0L;
              if(listOnline!=null){
                   count=listOnline.stream().filter(log->
                          log.getUserId().equals(item.getUserId())
                         &&log.getType().equals(item.getType())).count();
             }
              //找记录时间大于等于5分钟的数据，存在就在线，不存在就离线
              item.setUserState(count>0?"1":"0");
              this.updateById(item);
          });
        }
        checkOnlineSecond();
    }

    @Override
    public  void checkOnlineSecond(){
        Long onLineSecondMax=300L;
        Date nowTime=new Date();
        List<UserLog> list=userLogService.list(Wrappers.<UserLog>lambdaQuery()
         .isNull(UserLog::getEndTime));

        list.forEach(item->{
            UserLog userLogOld=list.stream().filter(a->a.getUserId().equals(item.getUserId())
                     && a.getType().equals(item.getType()) && !a.getId().equals(item.getId())
                    && a.getCreateTime().after(item.getCreateTime()))
                    .sorted(Comparator.comparing(UserLog::getCreateTime)).findFirst().orElse(null);

            if(userLogOld!=null){
                //找到了
                item.setEndTime(userLogOld.getCreateTime());
                long onLineSecond=(item.getEndTime().getTime()-item.getCreateTime().getTime())/1000;
                item.setTotalSecond(onLineSecond>onLineSecondMax?onLineSecondMax:onLineSecond);
            }else{ //没找到，比较时间
               Long second=(nowTime.getTime()-item.getCreateTime().getTime())/1000;
                //相差超过5分钟，则自动填充
               if(second>300L){
                   item.setEndTime(nowTime);
                   item.setTotalSecond(onLineSecondMax);
              }else{
                   item.setTotalSecond(second);
               }
            }
            //跟新
            userLogService.updateById(item);
        });

    }

    @Override
    public Object getUserOnlineCount() {
       return this.baseMapper.getUserOnlineCount();
    }
}


