package com.tofly.xrtygis.custom.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ViewWaterCruxIndexNewVo {
    /**
     * 管网长度（Km）
     */
    @ApiModelProperty("管网长度（Km）")
    private BigDecimal pipeLength;
    /**
     * 设计供水能力（万吨）
     */
    @ApiModelProperty(value = "水厂设计供水能力（万吨）")
    private BigDecimal designProcessingCapacity;
    /**
     * 污水厂处理能力（万吨）
     */
    @ApiModelProperty(value = "污水厂处理能力（万吨）")
    private BigDecimal designProcessingCapacityWs;


    /**
     * 制水厂数量
     */
    @ApiModelProperty(value = "制水厂数量")
    private Integer waterPlantAmount;

    /**
     * 污水厂数量
     */
    @ApiModelProperty(value = "污水厂数量")
    private Integer waterWsPlantAmount;


    /**
     * 今年水厂进水量（万吨）
     */
    @ApiModelProperty(value = "今年水厂进水量（万吨）")
    private BigDecimal yearWaterSupplyJin;

    /**
     * 今年水厂出水量（万吨）
     */
    @ApiModelProperty(value = "今年水厂出水量（万吨）")
    private BigDecimal yearWaterSupplyChu;

    /**
     * 今年污水厂进水量（万吨）
     */
    @ApiModelProperty(value = "今年污水厂进水量（万吨）")
    private BigDecimal yearWaterWsSupplyJin;


    /**
     * 今年污水厂出水量（万吨）
     */
    @ApiModelProperty(value = "今年污水厂出水量（万吨）")
    private BigDecimal yearWaterWsSupplyChu;


}
