package com.tofly.xrtygis.custom.mapper;

import com.tofly.xrtygis.custom.entity.Lscreen.*;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface LscreenNewMapper {

    /**
     * 获取用户表最大日期，返回 yyyy-MM
     * @return
     */
    String getMaxRecordMonth(@Param("year") Integer year);


    /**
     * 获取最大日期的记录数据
     * @return
     */
    String getMaxRecordMonthByTable(@Param("tableName") String tableName,@Param("year") Integer year);


    /**
     * 获取用户信息统计
     * @return
     */
    Map<String, Object> getUserCount(@Param("year") Integer year, @Param("lastYear")Integer lastYear,@Param("recordMonth")String recordMonth);

    /**
     * 获取用户表用水性质分类统计
     * @return
     */
    List<UserWaterType> getUserWaterType(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);


    /**
     * 用户收费数据展示（按照用水性质）
     * @return
     */
    List<UserWaterTypeMoney> getUserWaterTypeMoney(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);


    /**
     *年度同期收费数据展示
     * @return
     */
    List<UserWaterMoney> getUserWaterMoney(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth,@Param("codes")String codes);




    /**
     * 近12月用户统计
     * @return
     */
    List<UserWaterType> getUserStatistics(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);



    /**
     * 上月本月抄表率统计
     * @return
     */
    List<Map<String,Object>> getMeterReadingMonth(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);



    /**
     *水表厂家下对应水表种类统计
     * @return
     */
    List<WaterCategoryInfo>  getWaterFactoryInfo(@Param("startMonth")String startMonth,@Param("endMonth")String endMonth);

    /**
     * 今年收费情况统计
     * @return
     */
    List<Map<String,Object>> getCostCategory(@Param("year")Integer year);

    /**
     * 大用户用水排行统计，按照水量
     * @return
     */
    List<Map<String,Object>> getLargeUserWater(@Param("year") Integer year, @Param("topNum")Integer topNum);

    /**
     * 大用户用水排行统计,按照费用
     * @return
     */
    List<Map<String,Object>> getLargeUserMoney(@Param("year") Integer year,@Param("topNum")Integer topNum);


    /**
     * 大用户欠款统计
     * @return
     */
    List<Map<String,Object>> getLargeUserArrears(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth, @Param("topNum")Integer topNum);

    /**
     * 信用等级
     * @return
     */
    List<Map<String,Object>> getUserLevel();

    /**
     * 回款率统计
     * @return
     */
    List<CollectionRate> getCollectionRate(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);


    /**
     * 收费方式统计
     * @return
     */
    List<Map<String,Object>> getChargeType(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);


    /**
     * 热线类型统计，基础信息
     * @return
     */
    List<HotlineCategoryInfo> getHotlineCategoryInfo(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);
    /**
     * 近12月热线呼入和回访统计
     * @return
     */
    List<HotlineMethodInfo> getHotlineMethodInfo(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);
    /**
     * 热线工单状态统计，按照年
     * @return
     */
    List<Map<String,Object>> getHotlineOrderStatusInfo(@Param("year")Integer year);
    /**
     * 优质服务统计情况（年）
     * @return
     */
    List<Map<String,Object>>  getHotlineServiceInfo(@Param("year")Integer year);

    /**
     * 短信类型统计
     * @return
     */
    List<HotlineMessageTypeInfo>  getHotlineMessageTypeInfo(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);
    /**
     * 短信次数统计按照年月，返回每月
     * @return
     */
    List<HotlineMessageTypeInfo>  getHotlineMessageTotal(@Param("startMonth")String startMonth, @Param("endMonth")String endMonth);

    /**
     * 热线工单统计(周)
     * @return
     */
    List<HotlineOrderTypeInfo> getHotlineOrderTypeInfo(@Param("startDate")Date startDate,@Param("endDate")Date endDate);

    UserMoneyInfoVo getUserCountByMonth(
            @Param("nowUserYearMonth")String nowUserYearMonth,
            @Param("lastUserYearMonth")String lastUserYearMonth,
            @Param("nowYearMonthStart")String nowYearMonthStart,
            @Param("nowYearMonthEnd")String nowYearMonthEnd,
            @Param("lastYearMonthStart")String lastYearMonthStart,
            @Param("lastYearMonthEnd")String lastYearMonthEnd
    );
}
