/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.TfIndexAllocation;
import com.tofly.xrtygis.entity.dto.TfIndexAllocationAlarmDto;
import com.tofly.xrtygis.service.TfIndexAllocationService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.TfIndexAllocationMapper;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 指标配置
 *
 * @author admin
 * @date Fri Mar 11 00:00:00 CST 2022
 */
@Service("tfIndexAllocationService")
public class TfIndexAllocationServiceImpl extends ServiceImpl<TfIndexAllocationMapper, TfIndexAllocation> implements TfIndexAllocationService {
    @Override
    public String getReportLevel(Long reportId) {
        return this.baseMapper.getReportLevel(reportId);
    }

    @Override
    public void updateUnitById(String unit, Long id) {

        this.baseMapper.updateUnitById(id,unit);
    }

    @Override
    public boolean updateAlarmBatch(TfIndexAllocationAlarmDto tfIndexAllocationAlarmDto) {
       List<Long> listIds=Arrays.stream(tfIndexAllocationAlarmDto.getIds().split(",")).map(s->Long.parseLong(s)).collect(Collectors.toList());
        String reportId= tfIndexAllocationAlarmDto.getReportId()==null?"":tfIndexAllocationAlarmDto.getReportId();
        String isAlarm= tfIndexAllocationAlarmDto.getIsAlarm();
        return this.baseMapper.updateAlarmBatch(listIds,reportId,isAlarm);

    }
}
