package com.tofly.custom.controller;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.haiqiu.tools.common.utils.HttpServletUtils;
import com.tofly.common.ExcelTool.ExcelColumn;
import com.tofly.common.ExcelTool.ExcelTool;
import com.tofly.common.constant.CalendarHelper;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.custom.entity.ScadaFlowRecord;
import com.tofly.custom.entity.dto.ScadaFlowRecordDto;
import com.tofly.custom.entity.dto.ScadaWaterAmountDto;
import com.tofly.custom.entity.vo.ScadaWaterAmountVo;
import com.tofly.custom.service.ScadaFlowRecordService;
import com.tofly.custom.service.ScadaReportRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author JF
 * @date 2023-1-6
 * @description 自定义智慧综合展示相关
 */
@RestController
@RequestMapping("/scadaReportXXLJob")
@RefreshScope
@Api(tags = "Scada报表缓存数据")
public class ScadaReportXXLJobController {

 @Autowired
 private ScadaReportRecordService scadaReportRecordService;

    @Autowired
    private ScadaFlowRecordService scadaFlowRecordService;

    @GetMapping("/getWaterFlowCommXXLJob")
    @ApiOperation(value = "水厂/污水厂数据加入缓存表XXlJob")
   public ResultRespone getWaterFlowCommXXLJob(
            @ApiParam("指标编码，支持多个") @RequestParam(value = "codes", required = false)  String codes,
            @ApiParam("指标类型，支持多个") @RequestParam(value = "indexTypes", required = false)  String indexTypes,
            @ApiParam("开始时间 yyyy-MM-dd HH:mm:ss") @RequestParam(value = "startTime")String startTime,
            @ApiParam("结束时间 yyyy-MM-dd HH:mm:ss") @RequestParam(value = "endTime")String endTime,
            @ApiParam("间隔分钟数") @RequestParam(value = "minutes")Integer minutes) {

       scadaReportRecordService.getWaterFlowCommXXLJobCode(indexTypes,codes, minutes, startTime, endTime);

        return ResultRespone.success("后台跟新中……");

    }

    @GetMapping("/getPipeFlowCommXXLJob")
    @ApiOperation(value = "管网数据加入缓存表XXlJob")
    public ResultRespone getPipeFlowCommXXLJob(
            @ApiParam("指标编码，支持多个") @RequestParam(value = "codes", required = false)  String codes,
            @ApiParam("指标类型，支持多个,0和11") @RequestParam(value = "indexTypes", required = false)  String indexTypes,
            @ApiParam("开始时间 yyyy-MM-dd HH:mm:ss") @RequestParam(value = "startTime")String startTime,
            @ApiParam("结束时间 yyyy-MM-dd HH:mm:ss") @RequestParam(value = "endTime")String endTime,
            @ApiParam("间隔分钟数") @RequestParam(value = "minutes")Integer minutes) {

        scadaReportRecordService.getPipeFlowCommXXLJobCode(indexTypes,codes, minutes, startTime, endTime);

        return ResultRespone.success("后台跟新中……");

    }


    @GetMapping("/getScadaFlowCommXXLJob")
    @ApiOperation(value = "水厂总瞬时流量加入缓存数据XXlJob")
    public ResultRespone getScadaFlowCommXXLJobCode(
            @ApiParam("开始天 yyyy-MM-dd") @RequestParam(value = "startDay")String startDay,
            @ApiParam("结束天 yyyy-MM-dd") @RequestParam(value = "endDay")String endDay)
      {
              scadaReportRecordService.getScadaFlowCommXXLJobCode(startDay, endDay);
            return ResultRespone.success("后台跟新中……");

    }

    @GetMapping("/getScadaWaterReportXXlJobCode")
    @ApiOperation(value = "污水厂减排报表数据加入到减排表")
    public ResultRespone getScadaWaterReportXXlJobCode(
            @ApiParam("开始天 yyyy-MM-dd") @RequestParam(value = "startDay")String startDay,
            @ApiParam("结束天 yyyy-MM-dd") @RequestParam(value = "endDay")String endDay)
    {
        scadaReportRecordService.getScadaWaterReportXXlJobCode(startDay, endDay);
        return ResultRespone.success("后台跟新中……");

    }


}
