package com.tofly.custom.entity.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.bind.annotation.RequestParam;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class ScadaFlowRecordDto {

    @ApiParam("水厂类型，1 水厂，2污水厂")
    @NotNull(message = "水厂类型不能为空")
    private String waterType;
    @ApiParam("开始日期 yyyy-MM-dd")
    private String startDate;
    @ApiParam("结束日期 yyyy-MM-dd")
    private String endDate;

    /**
     * 是否导出
     */
    @ApiModelProperty("是否导出,1是")
    private Integer exportStatus=0;

    /**
     * 导出的标题
     */
    @ApiModelProperty("导出的标题")
    private String  exportTitle;
}
