package com.tofly.custom.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ScadaIndexReportVo {
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "时间")
    private Date dateTime;

    @ApiModelProperty(value = "所有水厂总瞬时量(出)")
    private String totalFlow;

    @ApiModelProperty(value = "所有水厂总瞬时量(进)")
    private String totalFlowJin;


    @ApiModelProperty(value = "指标类型列表")
    private List<IndexTypeVo> indexTypeVos;

    @ApiModelProperty(value = "水厂列表")
    private List<WaterNameVo> waterNameVos;


}
