package com.tofly.custom.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.custom.entity.ScadaReportRecord;
import com.tofly.custom.entity.dto.ScadaWaterAmountDto;
import com.tofly.custom.entity.vo.ScadaWaterAmountVo;

import java.util.Date;
import java.util.List;

public interface ScadaReportRecordService extends IService<ScadaReportRecord> {

    /**
     * 水厂/污水厂数据加入缓存表
     * @param indexType
     * @param codes
     * @param minutes
     * @param startTime
     * @param endTime
     */
     void getWaterFlowCommXXLJobCode(String indexType,String codes, Integer minutes,String startTime,String endTime);

    /**
     * 管网数据加入缓存表
     * @param codes
     * @param minutes
     * @param startTime
     * @param endTime
     */
  void  getPipeFlowCommXXLJobCode(String indexType,String codes, Integer minutes,String startTime,String endTime);

    /**
     * 水厂总瞬时流量加入缓存数据
     * @param startDay
     * @param endDay
     */
     void getScadaFlowCommXXLJobCode(String startDay,String endDay);

    /**
     * 水厂水量时间范围内监测报表
     */
   List<ScadaWaterAmountVo> getScadaWaterAmount(ScadaWaterAmountDto scadaWaterAmountDto);

    /**
     * 污水厂减排报表数据加入到减排表
     * @param startDay
     * @param endDay
     */
    void getScadaWaterReportXXlJobCode(String startDay,String endDay);
}
