package com.tofly.scada.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.scada.entity.Allocation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【TF_INDEX_ALLOCATION(指标配置)】的数据库操作Mapper
* @createDate 2022-05-12 09:48:47
* @Entity com.tofly.scada.entity.Allocation
*/
@Mapper
public interface AllocationMapper extends BaseMapper<Allocation> {
    /**
     * 获取水厂
     * @param waterTypes
     * @param indexTypes
     * @param codes
     * @return
     */
    List<Allocation> getIndexListByType(@Param("waterTypes") List<String>waterTypes, @Param("indexTypes") List<String> indexTypes,@Param("codes")List<String> codes);

    /**
     * 获取管网相关指标数据
     * @param indexTypes
     * @param codes
     * @return
     */
    List<Allocation> getPipeIndexListByType(@Param("indexTypes") List<String> indexTypes,@Param("codes")List<String> codes);


    Allocation getAllocationInfo(@Param("code")String code);


    List<Allocation>getIndexSyxList();
}




