package com.tofly.toflygetway.balance;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Data
@ConfigurationProperties(prefix = "tofly.filters")
public class ToflyFilterConfig {
    /**
     * base服务不需要续签的接口
     */
    private List<String> baseUrl;
    /**
     * scada服务不需要续签的接口
     */
    private List<String> scadaUrl;
    /**
     * gis服务不需要续签的接口
     */
    private List<String> gisUrl;
    /**
     * gps服务不需要续签的接口
     */
    private List<String> gpsUrl;
    /**
     * mis服务不需要续签的接口
     */
    private List<String> misUrl;
    /**
     * token续签时间,默认1天，从配置文件来
     */
    private Long tokenExpireTime=3600*24L;

}
